Subject: Re: bug#11731: gnus-summary-rescan-group loses expirable marks

From: Dave Abrahams <[email-masked]>
Date: Wed, 18 Jul 2012 13:26:14 -0400

on Wed Jun 20 2012, Lars Magne Ingebrigtsen <larsi-AT-gnus.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>> I'm confused.  According to the docs gnus-summary-rescan-group is
>> supposed to "Exit the newsgroup, ask for new articles, and select the
>> newsgroup."  However, when I use it, articles I've marked expirable
>> remain in the group and lose their expirable marks.  I was expecting
>> those articles to be deleted, as that's what happens when I actually
>> exit and re-enter the group.
>
> That function basically just calls `gnus-summary-exit', so whatever
> happens when that command is called should also happen when
> `gnus-summary-rescan-group', as far as I can tell from the code.
>
> Do you have any hooks or customisations that may do something odd here?

I don't know.  Of course I have lots of hooks and customizations; it's
hard to know which of these might interfere.  Here they are for your
amusement, though:

https://github.com/dabrahams/dwamacs/blob/master/settings/gnus-settings.el

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com